Bug 246373 - bind-9.4.1-6.1.fc7 breaks caching-nameserver
bind-9.4.1-6.1.fc7 breaks caching-nameserver
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-01 04:54 EDT by David Juran
Modified: 2013-04-30 19:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-08 14:12:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Juran 2007-07-01 04:54:04 EDT
Description of problem:
After updating to bind-9.4.1-6.1.fc7, my caching nameserver broke.

[david@localhost ~]$ sudo /sbin/service named start
Starting named: 
Error in named configuration:
zone localdomain/IN: loading from master file localdomain.zone failed: file not
_default/localdomain/IN: file not found
zone localhost/IN: loading from master file localhost.zone failed: file not found
_default/localhost/IN: file not found
zone 0.0.127.in-addr.arpa/IN: loading from master file named.local failed: file
not found
_default/0.0.127.in-addr.arpa/IN: file not found
loading from master file named.ip6.local failed: file not found
file not found
zone 255.in-addr.arpa/IN: loading from master file named.broadcast failed: file
not found
_default/255.in-addr.arpa/IN: file not found
zone 0.in-addr.arpa/IN: loading from master file named.zero failed: file not found
_default/0.in-addr.arpa/IN: file not found

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. service named start
Comment 1 Adam Tkac 2007-07-02 07:16:52 EDT
I don't believe. That zones aren't loaded in default configuration. Please make
sure that you don't using /etc/named.conf and please attach complete log of
named start and you configfiles.

Comment 2 David Juran 2007-07-08 14:12:59 EDT
You're right, I was using /etc/named.conf, removing it solves the problem.
 Not sure where it came from though, both my computers that had been updated
from FC-6 to F-7 ended up with this faulty /etc/named.conf around the same time
that I applied the bind-9.4.1-6.1.fc7 update. Anyway, closing this as NOTABUG,
sorry for the hassle.

Note You need to log in before you can comment on or make changes to this bug.